Subject: bug#56682: Fix the long lines font locking related slowdowns

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Aug 2022 20:56:30 +0300

> From: Dmitry Gutov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,
> 	"[email-masked]" <[email-masked]>,
> 	"[email-masked]" <[email-masked]>
> Date: Fri, 12 Aug 2022 19:35:57 +0300
> 
> I have eliminated two performance problems frim js-json-mode that are uncharacteristic for font-lock in
> general. One used a pathological matcher (simply removed), and another uses the "frameworks" facility
> which simply always rescans the full buffer from the beginning. That one can/should be fixed later, but I have
> disabled it for JSON (where it doesn't make sense anyway).
> 
> You should know that the rest of js-mode's font-lock keywords are still there. I experimented with leaving just
> the bare minimum needed for JSON, but the effect was very minimal (like 20% improvement).

I didn't yet have time to try the branch, but what you say begs a
question: does the branch attempt to solve the problems of JSON files
only, or does it attempt to solve a more general problem?